Milan Sorm

NAME

Pod::Weaver::Section::Requires - Add Pos::Weaver section with all used modules from package excluding listed ones

VERSION

version 0.01

SYNOPSIS

In your weaver.ini:

        [Requires]
        ignore = base lib constant namespace::sweep

DESCRIPTION

This Pod::Weaver section plugin creates a "REQUIRES" section in your POD which contains a list of the modules used/required by your class. It accomplishes this by using Module::Extract::Use on all classes.

All classes (*.pm files) in your distribution's lib directory will be loaded. List of all used modules are gathered and listed ignored classes (pragmas etc.) are excluded from this list. POD is changed only for files which actually requires other modules than excluded.

SEE ALSO

Pod::Weaver::Section::Extends

AUTHOR

Milan Sorm <sorm@is4u.cz>

COPYRIGHT AND LICENSE

This software is copyright (c) 2014 by Milan Sorm.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.